#include "commoditytypedata.h"

CommodityTypeData::CommodityTypeData(QObject *parent)
    :ComboItem(parent)
{
    m_id = 0;
}
int CommodityTypeData::id() const
{
    return m_id;
}

void CommodityTypeData::setId(int id)
{
    m_id = id;
}
QString CommodityTypeData::name() const
{
    return m_name;
}

void CommodityTypeData::setName(const QString &name)
{
    m_name = name;
}

bool CommodityTypeData::eq(ComboItem *other)
{
    CommodityTypeData* ct = qobject_cast<CommodityTypeData *> (other);

    return ct != NULL && this->id() ==  ct->id() ;
}

QString CommodityTypeData::toString()
{
    return this->name();
}


